# Uses of Interface
org.eclipse.equinox.p2.repository.IRunnableWithProgress

Packages that use IRunnableWithProgress
Package
Description
org.eclipse.equinox.p2.repository.artifact
Defines artifact repository.
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.
org.eclipse.equinox.p2.repository.metadata
Defines metadata repository.
org.eclipse.equinox.p2.repository.metadata.spi
Defines SPI for registering new implementations of metadata repositories.

## Uses of IRunnableWithProgress in org.eclipse.equinox.p2.repository.artifact

Methods in org.eclipse.equinox.p2.repository.artifact with parameters of type IRunnableWithProgress
Modifier and Type
Method
Description
`IStatus`
IArtifactRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`
Executes a runnable against this repository.

## Uses of IRunnableWithProgress in org.eclipse.equinox.p2.repository.artifact.spi

Methods in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type IRunnableWithProgress
Modifier and Type
Method
Description
`IStatus`
AbstractArtifactRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`

## Uses of IRunnableWithProgress in org.eclipse.equinox.p2.repository.metadata

Methods in org.eclipse.equinox.p2.repository.metadata with parameters of type IRunnableWithProgress
Modifier and Type
Method
Description
`IStatus`
IMetadataRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`
Executes a runnable against this repository.

## Uses of IRunnableWithProgress in org.eclipse.equinox.p2.repository.metadata.spi

Methods in org.eclipse.equinox.p2.repository.metadata.spi with parameters of type IRunnableWithProgress
Modifier and Type
Method
Description
`IStatus`
AbstractMetadataRepository.`executeBatch(IRunnableWithProgress runnable, IProgressMonitor monitor)`